using ReAct_PME.Domain;


namespace ReAct_PME.Application
{
    public partial interface IDT_WORK_FORCEService
    {
		#region CRUD de la table DT_WORK_FORCE
		Task<bool> Create_Async(DT_WORK_FORCE_DTO dt_work_force);
		Task<bool> Update_Async(Guid ID_WORK_FORCE, DT_WORK_FORCE_DTO dt_work_force);
		Task<bool> Update_Password_Async(Guid ID_WORK_FORCE, DT_WORK_FORCE_DTO dt_work_force);
		Task<bool> Delete_Async(Guid ID_WORK_FORCE);
		Task<IEnumerable<DT_WORK_FORCE_DTO>> GetAll_Async(bool IsActifOnly=false);
		Task<DT_WORK_FORCE_DTO?> GetById_Async(Guid ID_WORK_FORCE);
		#endregion



    }
}
